> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extat.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a paginated transactions list.



## OpenAPI

````yaml /openapi/extat-openapi.json get /companies/transactions
openapi: 3.0.0
info:
  contact:
    email: contato@cernedigital.io
    name: Cerne Digital
    url: https://cernedigital.io
  description: >-
    API REST da Extat Plataforma usada pelo painel web. Artefato OpenAPI 3.0
    para a documentação Mintlify (tags em PT-BR).
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Extat Plataforma - API REST
  version: '1.0'
servers:
  - url: https://golang-api-vgnqx.ondigitalocean.app/v1
security: []
tags:
  - name: Autenticação
  - name: Bancos
  - name: Contas Bancárias
  - name: Plano e Assinaturas
  - name: Empresa
  - name: Centros de Custo
  - name: Painel
  - name: Demonstrativos
  - name: Saúde
  - name: Convites
  - name: Membros
  - name: Onboarding
  - name: Fornecedores
  - name: Usuário
paths:
  /companies/transactions:
    get:
      tags:
        - Empresa
      summary: Get a paginated transactions list.
      parameters:
        - description: current page
          in: query
          name: page
          required: true
          schema:
            type: integer
        - description: max result per page
          in: query
          name: limit
          required: true
          schema:
            type: integer
        - description: type of date filter (e.g., due_date, competence, payment_date)
          in: query
          name: date_type
          schema:
            type: string
        - description: start date for filtering (YYYY-MM-DD)
          in: query
          name: start_date
          schema:
            type: string
        - description: end date for filtering (YYYY-MM-DD)
          in: query
          name: end_date
          schema:
            type: string
        - description: list of cost center IDs for filtering
          explode: false
          in: query
          name: cost_centers
          schema:
            items:
              type: string
            type: array
          style: form
        - description: list of category IDs for filtering
          explode: false
          in: query
          name: categories
          schema:
            items:
              type: string
            type: array
          style: form
        - description: list of statuses for filtering
          explode: false
          in: query
          name: status
          schema:
            items:
              type: string
            type: array
          style: form
        - description: list of supplier IDs for filtering
          explode: false
          in: query
          name: suppliers
          schema:
            items:
              type: string
            type: array
          style: form
        - description: list of bank account IDs for filtering
          explode: false
          in: query
          name: bank_accounts
          schema:
            items:
              type: string
            type: array
          style: form
        - description: company uuid
          in: header
          name: x-company-id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
          description: OK
        '400':
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Token da sessão no cabeçalho Authorization, no formato Bearer (mesmo
        esquema ApiKeyAuth do contrato).
      in: header
      name: Authorization
      type: apiKey

````